Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#10 CPU Usage

closed
nobody
None
5
2012-02-03
2011-07-27
Craig Chambers
No

Hi Justin,

I did a reboot of my server after 89 days uptime (:-). On restart, the fans are going like crazy and the output of 'top' is as follow

top - 23:57:40 up 44 min, 1 user, load average: 1.01, 1.10, 1.11
Tasks: 111 total, 2 running, 109 sleeping, 0 stopped, 0 zombie
Cpu(s): 0.0%us, 0.0%sy, 50.0%ni, 50.0%id, 0.0%wa, 0.0%hi, 0.0%si, 0.0%st
Mem: 2051220k total, 1999692k used, 51528k free, 177028k buffers
Swap: 803244k total, 0k used, 803244k free, 1670204k cached

PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
1383 root 35 15 64820 47m 1624 R 99 2.3 29:41.40 minidlna
1972 craigcha 20 0 2612 1092 832 R 2 0.1 0:00.63 top
1 root 20 0 2892 1632 1108 S 0 0.1 0:01.09 init
2 root 20 0 0 0 0 S 0 0.0 0:00.00 kthreadd

Basically miniDLNA is hammering my processor. I'm not too bothered about this, but is this the behaviour you expect? I can't imagine that this would be helpful on something like a NAS.

Cheers,
Craig

Discussion

  • Cecil Coupe
    Cecil Coupe
    2011-07-28

    Craig

    Be worried. You have a problem. My underpowered NAS when running minidlna is not visible on the first screen of top. Load av around 0.05
    On my not that new desktop which runs minidlna does not show up in top either, load av even lower.

     
  • Craig Chambers
    Craig Chambers
    2011-07-28

    I should probably add that it settled down after an hour.

     
  • Craig Chambers
    Craig Chambers
    2011-08-16

    Rebuilt today, then restarted - same effect. Is there anything that I can grab to give more information Justin?

    PID USER PR NI VIRT RES SHR S %CPU %MEM TIME+ COMMAND
    1192 root 35 15 64808 47m 1712 R 100 2.4 53:12.9 minidlna

    My start-up script always causes a rescan of media (because of the following... ARGS='-R -f /etc/minidlna.conf'), so it's natural to assume that it's the media scan that's causing it.

     
  • Craig Chambers
    Craig Chambers
    2012-02-03

    Well, I'm not certain what has caused the change, but I just updated for the first time in a while and the CPU usage issue when scanning seems to have been fixed.

     
  • Craig Chambers
    Craig Chambers
    2012-02-03

    • status: open --> closed